A vulnerability was found in Samsung Gear S Plugin. It has been declared as problematic. Affected by this vulnerability is some unknown functionality of the component BT Device Handler. Upgrading to version 2.2.05.20122441 eliminates this vulnerability. The upgrade is hosted for download at security.samsungmobile.com.